summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2006-04-30 09:15:03 +0000
committerAkinori Hattori <hattya@gentoo.org>2006-04-30 09:15:03 +0000
commit811fc36312b7645f81cb265a4d1bf1265cec681d (patch)
treea0dec01eba805c192489c2eec91a407701c9f9f5 /eclass
parentNew patch for ssp support, based on OpenBSD code, too. This version has now t... (diff)
downloadhistorical-811fc36312b7645f81cb265a4d1bf1265cec681d.tar.gz
historical-811fc36312b7645f81cb265a4d1bf1265cec681d.tar.bz2
historical-811fc36312b7645f81cb265a4d1bf1265cec681d.zip
fixes bug #129178
Diffstat (limited to 'eclass')
-rw-r--r--eclass/subversion.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index ece025ab6d7d..fd24154757c4 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.29 2006/04/28 14:20:03 hattya Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.30 2006/04/30 09:15:03 hattya Exp $
## --------------------------------------------------------------------------- #
# Author: Akinori Hattori <hattya@gentoo.org>
@@ -181,7 +181,7 @@ function subversion_svn_fetch() {
# export to the ${WORKDIR}
# "svn export" has a bug. see http://bugs.gentoo.org/119236
#svn export "${ESVN_STORE_DIR}/${ESVN_CO_DIR}" "${S}" || die "${ESVN}: can't export to ${S}."
- rsync -aC "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/" "${S}" || die "${ESVN}: can't export to ${S}."
+ rsync -a --exclude=".svn" "${ESVN_STORE_DIR}/${ESVN_CO_DIR}/" "${S}" || die "${ESVN}: can't export to ${S}."
echo
}